#ifndef __adv_room_H
#define __adv_room_H

#include "aconst.h"

//Contains the default room inventories.
extern const unsigned char DefRoomItems [NumRooms][8];

//Definition of each room.
struct room
{
	char* 	Name;	/* Room Name */
	char* 	Desc;	/* Room Description */
	//Pointer to room-handling code, or rcNullRoom if none.
	void     (*RoomHandler) (void);
	/* In order north, south, east, west. */
		unsigned char NextRoom [4];
};

//Rooms declarations.
extern const struct room Room[NumRooms];

extern const char RoomDir [4][6];



/********************************
   Numbers of rooms
 ********************************/

//Following are the enums of each room name's #.
//#defines are more optimal than an actual enum.
//I recommend you start these with an "r" and follow it
//with the proper case of the room's name.
//Use these to set the exits of each room in the rooms.c
//file.
#define rRoom1		  0

#endif


