;------------------------------------------------------------------------------
;
; C128 Bank1 memory routines.
;
; Written for cc65 by Joseph Rose.  If you find these routines useful, e-mail
; me.
;
; This module reads a byte, word or double-word from Bank 1.  These are
; __fastcall functions whose parameter is a pointer to the data in Bank 1
; to read.  They are defined in "bank128.h".
;
;------------------------------------------------------------------------------

.importzp	ptr1
.importzp	bank_readaddr
.import		bank_read

.export		_bank1_readbyte, bank1_readbyteoffs, bank1_readbyteoffs2
.export		_bank1_readword, bank1_readwordoffs, bank1_readwordoffs2

.segment	"MEMBANK"

_bank1_readbyte:
	ldy	#0
bank1_readbyteoffs:
	sta	ptr1
	stx	ptr1+1
bank1_readbyteoffs2:
	;sta	$FF02
	sei
	lda	#$32
	sta	$FD16
	lda	(ptr1),y
	;sta	$FF01
	ldx	#$33
	stx	$FD16
	cli
	ldx	#0
	rts

_bank1_readword:
	ldy	#0
bank1_readwordoffs:
	sta	ptr1
	stx	ptr1+1
bank1_readwordoffs2:
	;sta	$FF02
	sei
	lda	#$32
	sta	$FD16
	iny
	lda	(ptr1),y
	tax
	dey
	lda	(ptr1),y
	pha	
	lda	#$33
	sta	$FD16
	pla
	cli
	rts
	
retptr1:
	lda	ptr1
	ldx	ptr1+1
	rts
